/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var ls_row_index = 0;//当前操作记录序号
var ls_choice_ope = 1;//当前选组织窗口返回值的作用 1：用于批量人员移动 2：用于单位排序 3：用于单位选取
/****/

//加载性别下拉框
var v_sexquery = {};
v_sexquery.FIELD_tableName = "DM_COMMON_SEX";
var v_sexquery_data = standardModel.dataAction.listAllCache(v_sexquery);

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"人员信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsUserTestData_listMyUser',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
			    {
					field : 'USER_ID',
					title : '人员帐号',
					width:100,
					align : 'center'
				}, {
					field : 'USER_NAME',
					title : '姓名',
					width:100,
					align : 'center'
				}, {
					field : 'USER_AGE',
					title : '年龄',
					width:100,
					align : 'center'
				}, {
					field : 'SEX_NAME',
					title : '性别',
					width:100,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function(data) {
			createOptionMenuTooltip(60);
		}
});

/****/

/**
 * 序号：4
 * 功能：设置操作列浮动菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>  |  <span class=\"icon-ext-04_36\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"moveRow('"
		+ index + "','true','2')\">定位</a>  |  <span class=\"icon-ext-38_38\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"tbSet('"
		+ index + "')\">同步</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 4;
	return is_menu_count;
}


/**
 * 新增添加
 */
/****/
function addUserExt(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsUserTestView_userextDetail",is_row,"新增",true,0.65,0.65,160,0);
}
//数据回调
function addUrlOnloadCallback(is_row){
	$('#USER_SEX').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#USER_SEX').combobox('setValue', '1');
}

//保存
function insertData(is_entity){
	var v_result = jwAppUserModel.jwAppsUserActAction.insertUserext(is_entity);
	if(v_result.NAME == '-10'){
    	$.messager.confirm('提示', v_result.VALUE, function(r) {
    		if (r) {
    		  is_entity.ACCOU_FLAG = '1';
	    	  v_result = jwAppUserModel.jwAppsUserActAction.insertUserext(is_entity);
	    	  reloadTree();
	    	  $.messager.alert('提示', v_result.VALUE);
	    	  closeBox("detail");
    		}
    	});
    }else{
		reloadTree();
		return v_result;
    }
}

/**
 * 序号：
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code = "";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].USER_ID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!");
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			v_query.FIELD_USER_ID = code;
			v_query.FIELD_DELETE_FLAG = '1';
			var v_result = jwAppUserModel.jwAppsUserActAction.deleteUser(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
		}
	});
}

/**
 * 序号：
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].USER_ID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			v_query.FIELD_USER_ID = code;
			v_query.FIELD_DELETE_FLAG = '1';
			var v_result = jwAppUserModel.jwAppsUserActAction.deleteUser(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
		}
	});
}

/**
 * 序号：
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("jwAppsUserTestView_userextDetail",is_row[0],"编辑",true,0.65,0.65,160,0);	
}

//数据回调
function updateUrlOnloadCallback(is_row){
	$('#USER_SEX').combobox({
		data : v_sexquery_data.rowSet,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}

//保存
function updateData(is_entity){
	v_result = jwAppUserModel.jwAppsUserActAction.updateUser(is_entity);
	reloadTree();
	return v_result;
}

/****/

/**
 * 序号：9
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	reloadTree();
	$("#usertab_searchForm")[0].reset();
}
/****/

/**
 * 序号：10
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#usertab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/


/**
 * 序号：11
 * 功能：加载单位树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","UUID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
	  ls_node = treeNode;
	  zTree.selectNode(ls_node);
	}else{
		zTree.selectNode(ls_node);
		modifyNode(ls_node);
	}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	queryData.FIELD_UNIT_ID_IS_PARENT =treeNode.UUID;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid('reload',queryData);
}
//loadTree(后台数据路径,显示的层ID)
loadTree("jwAppsUnitData_listMyAll","usertab_user_tree","UUID","A");

function reloadTree(){
	loadTree("jwAppsUnitData_listMyAll","usertab_user_tree","UUID","A");
	
}
/****/

/**
 * 序号：12
 * 功能：组织机构同步
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function tbSet(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].USER_ID;
	openViewRow("jwAppsUnitView_unitAur?uuid="+code+"&type=1",is_row[0],"数据同步到相关应用设定",true,0.45,0.95,160,0);
}

/**//**
* 序号：16
* 功能：人员重置密码
* 参数：
* 说明：
* 作者：高伟杰
* 时间：2016-01-22
* 单位：宁波金网
* 备注：需更改
**/
function resetPass(){
	var userids = "";
	var usernames="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		userids = userids + rows[i].USER_ID+",";
		usernames=usernames+rows[i].USER_NAME+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择密码重置人员!",'info');
		return;
	}
	if(userids.length>0){
		userids = userids.substring(0,userids.length - 1);
	}
	if(usernames.length>0){
		usernames = usernames.substring(0,usernames.length - 1);
	}
	$.messager.confirm('提示', '确定重置密码?', function(r) {
		if (r) {
			var v_query = {};
			v_query.USER0_USER_ID = userids;
			v_query.USER0_USER_NAME = usernames;
			v_query.USER0_USER_PWD_RESET = '1';
			var v_result = jwAppUserModel.jwAppsUserActAction.resetUserPass(v_query);
	    	reloadTree();
	    	$.messager.alert('提示', v_result.VALUE);
		}
	});
}